"""
Copyright 2018 Cognitive Scale, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""

from setuptools import setup
from setuptools import find_packages

setup(name='cortex-client',
      description="Python SDK for Cognitive Scale's Cortex AI Platform",
      long_description="Python SDK for Cognitive Scale's Cortex AI Platform",
      version='5.0.19',
      author='CognitiveScale',
      author_email='info@cognitivescale.com',
      url='https://docs.cortex.insights.ai',
      license='Cognitive Scale Inc.',
      platforms=['linux', 'osx'],
      packages=find_packages(),
      install_requires=['requests>=2.12.4,<3',
                        'requests-toolbelt==0.8.0',
                        'Flask==0.12.2',
                        'diskcache==3.0.1',
                       ],
      tests_require=['mocket>=2.0.0,<3',
                     'mock>=2,<3',
                     'pytest>=3.1,<4'],
      classifiers=[
          'Operating System :: MacOS :: MacOS X',
          'Operating System :: POSIX',
          'Programming Language :: Python :: 3.5',
          'Programming Language :: Python :: 3.6',
          ],
      )
